using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName( "an owlbear corpse" )]
	public class Owlbear : BaseCreature
	{
		[Constructable]
		public Owlbear() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "an owlbear";
			Body = 758;
			BaseSoundID = 0x4C3;

			SetStr( 276, 305 );
			SetDex( 121, 145 );
			SetInt( 56, 80 );

			SetHits( 236, 273 );
			SetMana( 0 );

			SetDamage( 16, 21 );

			SetSkill( SkillName.MagicResist, 35.1, 50.0 );
			SetSkill( SkillName.Tactics, 90.1, 120.0 );
			SetSkill( SkillName.HandToHand, 65.1, 90.0 );

			Fame = 3000;
			Karma = -3000;

			VirtualArmor = 40;
		}

		public override int Meat{ get{ return 2; } }
		public override int Hides{ get{ return 16; } }

		public Owlbear( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}